=== requirements.txt ===
pip>=9
setuptools>=26
wheel>=0.29
setuptools_scm
future
pandas
python-gitlab
