=== debian/control ===
Source: wagon
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Ludovic Claude <ludovic.claude@laposte.net>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: cdbs, debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4)
Build-Depends-Indep: default-jdk-doc,
                     junit (>= 3.8.1),
                     libcommons-codec-java,
                     libcommons-codec-java-doc,
                     libcommons-httpclient-java,
                     libcommons-io-java,
                     libcommons-logging-java,
                     libcommons-logging-java-doc,
                     libcommons-net2-java,
                     libcommons-net2-java-doc,
                     libeasymock-java (>= 3.2),
                     libjaxen-java,
                     libjetty-java,
                     libjetty-java-doc,
                     libjsch-java,
                     libjsoup-java,
                     libmaven-enforcer-plugin-java,
                     libmaven-javadoc-plugin-java,
                     libplexus-container-default-java,
                     libplexus-container-default-java-doc,
                     libplexus-containers-java,
                     libplexus-containers-java-doc,
                     libplexus-interactivity-api-java,
                     libplexus-interactivity-api-java-doc,
                     libplexus-maven-plugin-java,
                     libplexus-utils-java,
                     libplexus-utils-java-doc,
                     subversion
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/wagon.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/wagon.git
Homepage: http://maven.apache.org/wagon/

Package: libwagon-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Suggests: libwagon-java-doc
Description: tools to manage Maven artifacts and deployment
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 .
 It is also used to deploy the Maven generated site to a server.
 .
 This package contains the following Jars:
 .
  wagon-file
    Implementation of Wagon provider for File system access.
  wagon-ftp
    Implementation of Wagon provider for FTP access.
  wagon-http
    Implementation of Wagon provider for HTTP access.
  wagon-http-lightweight
    Implementation of Wagon provider for HTTP access. It uses standard
    JDK classes as lower lever layer.
    It enables Maven to use remote repositories stored in HTTP servers.
    It doesn't allow deployment.
  wagon-http-shared
    This package is a shared Library for the wagon-http, and
    wagon-http-lightweight wagon providers
  wagon-ssh
    Implementation of Wagon provider for SCP and SFTP access.
    It enables Maven to deploy artifacts and sites to SSH servers. It
    uses JSch (Java Secure Channel) as lower level layer.
  wagon-ssh-common
    Implementation of Wagon provider for SCP and SFTP access. It
    enables Maven to deploy artifacts and sites to SSH servers.
    Getting files from SSH servers is not fully tested.
  wagon-ssh-external
    Implementation of Wagon provider for SSH servers access. It
    enables Maven to deploy artifacts and sites to SSH servers.
    It uses an external SSH program that has to be already installed
    in the system. Getting files from SSH servers is not fully tested.

Package: libwagon-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libwagon-java
Description: tools to manage Maven artifacts and deployment - documentation
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 .
 It is also used to deploy the Maven generated site to a server.
 .
 This package contains the JavaDocs for libwagon-java.
