=== debian/watch ===
version=3
opts=uversionmangle=s/^1\.0$/1.0.0/ \
  http://svn.apache.org/repos/asf/maven/wagon/tags/ \
  wagon-(1\.\d.*)/ debian debian/orig-tar.sh
