## wagon 3.1.0

=== debian/changelog ===
wagon (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Ensure the Java 8 compatibility when built with Java 9 or later
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889397)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 15:52:13 +0200
