=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Damien Raude-Morvan <drazzib@debian.org>,
- Emmanuel Bourg <ebourg@apache.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
  junit4,
  libcommons-codec-java,
@@ -28,9 +26,9 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/wagon.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wagon.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/wagon.git
+Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
 
 Package: libwagon-java
