## wagon 3.2.0

=== debian/changelog ===
wagon (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Jetty 9.4

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 10 Dec 2018 18:48:06 +0100

wagon (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Generate Java 7 compatible bytecode
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 10:32:18 +0100
