=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libcommons-net-java,
  libeasymock-java (>= 3.2),
  libhttpclient-java (>= 4.3.1),
- libjetty9-extra-java,
- libjetty9-java,
+ libjetty9-extra-java (>= 9.4),
+ libjetty9-java (>= 9.4),
  libjsch-agent-proxy-java,
  libjsch-java,
  libjsoup-java,
@@ -26,7 +26,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
