## wagon 3.3.1

=== debian/changelog ===
wagon (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with libhttpcore-java (>= 4.4.11-1~) to restore the compatibility
    with Java 7 (Closes: #922347)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Feb 2019 00:00:24 +0100

wagon (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Rebuild with libhttpclient-java (>= 4.5.6-2~) to restore the compatibility
    with Java 8 (Closes: #918772)
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Jan 2019 23:47:34 +0100
