=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  libcommons-io-java,
  libcommons-net-java,
  libeasymock-java (>= 3.2),
- libhttpclient-java (>= 4.3.1),
+ libhttpcore-java (>= 4.4.11-1~),
+ libhttpclient-java (>= 4.5.6-2~),
  libjetty9-extra-java (>= 9.4),
  libjetty9-java (>= 9.4),
  libjsch-agent-proxy-java,
@@ -26,7 +27,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
