## wagon 3.3.3

=== debian/changelog ===
wagon (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 22:09:45 +0200
