## wagon 3.3.4

=== debian/changelog ===
wagon (3.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2020 17:40:37 +0100
