=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
