=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export JAVA_HOME := /usr/lib/jvm/default-java
 
 %:
-	dh $@ --buildsystem=maven
+	dh $@
 
 override_dh_auto_build:
 	-mkdir -p $(CURDIR)/wagon-providers/wagon-scm/target/test-classes/
@@ -24,6 +24,3 @@
 	                 -Vcommons-codec:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-codec-java) \
 	                 -Vcommons-io:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-io-java) \
 	                 -Vjsoup:Version=$(shell dpkg-query -f '$${source:Version}' --show libjsoup-java ) \
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink --repack
