## wagon 3.5.2

=== debian/changelog ===
wagon (3.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Depend on libservlet-api-java instead of libservlet3.1-java
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Dec 2022 16:11:19 +0100
