## wagon 3.5.3

=== debian/changelog ===
wagon (3.5.3-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:00:17 +0200

wagon (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Set the target release to Java 8 (Closes: #1027558)
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Jan 2023 14:43:37 +0100
