=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libplexus-utils2-java,
  libservlet-api-java,
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
